<?php


namespace AutoAdmin\Bundle\Content\Entity\Traits;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

trait NameTrait
{
    #[ORM\Column(name: 'name', type: Types::STRING, length: 255)]
    protected string $name = '';

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): void
    {
        $this->name = $name;
    }
}
